#ifndef TTRootEmbeddedCanvasHenrik_H
#define TTRootEmbeddedCanvasHenrik_H

#include "TRootEmbeddedCanvas.h"

class TRootEmbeddedCanvasHenrik : public TRootEmbeddedCanvas {

 public:
  TRootEmbeddedCanvasHenrik(const char *name = 0, const TGWindow *p = 0, UInt_t w = 10,
			    UInt_t h = 10, UInt_t options = kSunkenFrame | kDoubleBorder,
			    Pixel_t back = GetDefaultFrameBackground());
  virtual ~TRootEmbeddedCanvasHenrik();

  virtual Bool_t Busy() {return fBusy;}

  virtual void   Connect() {fConnected = kTRUE;}
  virtual void   Disconnect() {fConnected = kFALSE;}

  virtual Bool_t HandleContainerButton(Event_t *ev);
  virtual Bool_t HandleContainerDoubleClick(Event_t *ev);
  virtual Bool_t HandleContainerConfigure(Event_t *ev);
  virtual Bool_t HandleContainerKey(Event_t *ev);
  virtual Bool_t HandleContainerMotion(Event_t *ev);
  virtual Bool_t HandleContainerExpose(Event_t *ev);
  virtual Bool_t HandleContainerCrossing(Event_t *ev);
  
 protected:
  
  Bool_t fConnected;
  Bool_t fBusy;

ClassDef(TRootEmbeddedCanvasHenrik,0)

};

#endif
